## org.apache.mahout.fpm.pfpgrowth
Class AggregatorMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Text,TopKStringPatterns,org.apache.hadoop.io.Text,TopKStringPatterns>
          org.apache.mahout.fpm.pfpgrowth.AggregatorMapper

    public class AggregatorMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Text,TopKStringPatterns,org.apache.hadoop.io.Text,TopKStringPatterns>

outputs the pattern for each item in the pattern, so that reducer can group them and select the top K frequent patterns

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`AggregatorMapper()`

Method Summary
`protected void` `map(org.apache.hadoop.io.Text key, TopKStringPatterns values, org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AggregatorMapper

    public AggregatorMapper()

Method Detail

### map

    protected void map(org.apache.hadoop.io.Text key,
                       TopKStringPatterns values,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws IOException,
                       InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.Text,TopKStringPatterns,org.apache.hadoop.io.Text,TopKStringPatterns>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.